Bug 1370445 - Geo-replication server side events
Summary: Geo-replication server side events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Saravanakumar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1361118
TreeView+ depends on / blocked
 
Reported: 2016-08-26 10:52 UTC by Saravanakumar
Modified: 2017-03-10 06:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-10 06:34:21 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Saravanakumar 2016-08-26 10:52:12 UTC
Description of problem:

Add events for changes happening in a  geo-rep session.
For example, session going faulty, or any errors during sync operation.

Comment 1 Worker Ant 2016-08-26 12:41:05 UTC
REVIEW: http://review.gluster.org/15328 (geo-rep: add geo-rep events for server side changes) posted (#1) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)

Comment 2 Worker Ant 2016-08-29 07:10:32 UTC
REVIEW: http://review.gluster.org/15328 (geo-rep: add geo-rep events for server side changes) posted (#2) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)

Comment 3 Worker Ant 2016-08-29 07:11:03 UTC
REVIEW: http://review.gluster.org/15328 (geo-rep: add geo-rep events for server side changes) posted (#3) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)

Comment 4 Worker Ant 2016-08-29 08:34:48 UTC
REVIEW: http://review.gluster.org/15328 (geo-rep: add geo-rep events for server side changes) posted (#4) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)

Comment 5 Worker Ant 2016-08-31 02:07:41 UTC
REVIEW: http://review.gluster.org/15328 (geo-rep: add geo-rep events for server side changes) posted (#5) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 6 Worker Ant 2016-08-31 14:14:16 UTC
COMMIT: http://review.gluster.org/15328 committed in master by Aravinda VK (avishwan@redhat.com) 
------
commit d354ea0a05a3b6a13d227b567a81afdb8ea46abb
Author: Saravanakumar Arumugam <sarumuga@redhat.com>
Date:   Wed Aug 24 15:19:53 2016 +0530

    geo-rep: add geo-rep events for server side changes
    
    Event Type defined in #15351 to avoid merge conflicts
    
    Add geo-rep events applicable to changes in
    geo-rep session in the server side.
    
    Change-Id: Ia66574d2abccad7fce6a96667efbc7c6c8903fc6
    BUG: 1370445
    Signed-off-by: Saravanakumar Arumugam <sarumuga@redhat.com>
    Reviewed-on: http://review.gluster.org/15328
    Tested-by: Aravinda VK <avishwan@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Aravinda VK <avishwan@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.